=== debian/changelog ===
ros-humble-moveit-setup-assistant (2.5.5-1jammy) jammy; urgency=high

  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-setup-assistant (2.5.4-1jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-setup-assistant (2.5.3-1jammy) jammy; urgency=high

  * Organize package xml of MSA (#1454 <https://github.com/ros-planning/moveit2/issues/1454>)
  * Contributors: Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-setup-assistant (2.5.2-1jammy) jammy; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * [MSA] Launch Updates (#1247 <https://github.com/ros-planning/moveit2/issues/1247>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Three small edits (#1203 <https://github.com/ros-planning/moveit2/issues/1203>)
  * [MSA] Add Setup Step for Generating Launch Files (#1129 <https://github.com/ros-planning/moveit2/issues/1129>)
  * [MSA] Fix arg parsing in main (#1110 <https://github.com/ros-planning/moveit2/issues/1110>)
  * [MSA] Simplify loading of new SRDF (#1102 <https://github.com/ros-planning/moveit2/issues/1102>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Navigation Widget Fixes (#1054 <https://github.com/ros-planning/moveit2/issues/1054>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-setup-assistant (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-setup-assistant (2.5.0-1jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Merge #3081 <https://github.com/ros-planning/moveit2/issues/3081>: Improve Gazebo-compatible URDF generation in MSA
  * Add inertial/origin tag
  * Don't overwrite existing attributes
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Move getGazeboCompatibleURDF() from MoveItConfigData to SimulationWidget
    This is a function specific to the SimulationWidget
  * Provide button to open original URDF file
  * Fix widget layout
  * Use focusGiven() + focusLost() to generate and validate Gazebo URDF
  * XmlSyntaxHighlighter: allow nested highlighting
  * Replace manual highlighting with a SyntaxHighlighter
  * Simplify getGazeboCompatibleURDF()
    Use a new utility function uniqueInsert() to avoid code duplication
    when inserting XML elements uniquely.
  * getGazeboCompatibleURDF(): Compare original and final XML
    Instead of manually keeping track of changes, compare the two docs.
    This is much more robust.
  * getGazeboCompatibleURDF(): Skip catching YAML exceptions
    There is no YAML involved!
  * fixup: config_path_ -> static const CONFIG_PATH
  * fixup: Simplify saving
    - new_gazebo_urdf_ -> save_gazebo_urdf_
    - directly save content, avoid extra parsing
    - hide overwrite button if doc is empty
    - disable overwrite button if saving is not possible due to xacro

